Ebsco Heads-Up! Beginning in July 2017 (yes folks 2017) Ebsco will no longer support IE 8.0 OR 9.0

06/14/2016

“Beginning in July 2017, [Ebsco] will no longer support Internet Explorer 8.0 or 9.0 due to security risks.To avoid any service interruptions, please make all recommended browser updates before July 2017.” Here are a couple of links to Ebsco support explaining minimum browser requirements. http://support.ebsco.com/support_news/detail.php?id=992&page=1 http://www.elabs10.com/functions/message_view.html?mid=4298555&mlid=191901&siteid=2010003005&uid=eb79ea2638 I know for many of you in hospitals, may have no control over your browser so I wanted to give you as much ahead notice as possible.